/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM330' Device Series 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_uart.h"
#include "tmpm330_gpio.h"
#include "tmpm330_uart_int.h"
#include "uart.h"
#include "lcd.h"
#include <stdio.h>

/* Private define ------------------------------------------------------------*/
#define KEY_PORT        GPIO_PB
#define KEYRELEASE      0xf0U   /* KEYRELEASE */

/* For keyboard */
#define K1 0x75U
#define K2 0xB5U
#define K3 0xD5U
#define K4 0xE5U

/* Private function prototypes -----------------------------------------------*/
void Key_Configuration(void);

#endif
