/**
 *******************************************************************************
 * @file    uart.h
 * @brief   The header file for UART functions of SBI EEPROM demo for the
 *          TOSHIBA 'TMPM330' Application Notes 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __UART_H
#define __UART_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"
#include "tmpm330_uart.h"
/* Private typedef -----------------------------------------------------------*/
typedef enum { READY = 0, YES = 1, GO = 2, HALT = 3 } TRXSTAT;
/* Private define ------------------------------------------------------------*/
#define SIO_BUFFER_SIZE 16
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void SIO_ChInit(void);
uint8_t send_char(uint8_t ch);

#endif
/******************************** END OF FILE *********************************/
