/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of TMRB_TIMER demo for the TOSHIBA
 *          'TMPM330' Device Series 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_tmrb.h"
#include "tmpm330_gpio.h"
#include "led.h"
#include "lcd.h"

/* Private define ------------------------------------------------------------*/

#define TMRB_1ms        0x1388U
#define KEYRELEASE      0xf0U   /* KEYRELEASE */

/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/

#endif
